aboutsummaryrefslogtreecommitdiffstats
path: root/sync-translations.sh
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2020-12-11 11:33:59 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2020-12-11 11:34:19 +0100
commit54e3333b725eb3a09fd5139b33450d2d9844704d (patch)
treeb2727b8015484c14cfa104e63b78f792968cdeff /sync-translations.sh
parentWireGuardKit: Conditionally turn on/off wireguard-go (diff)
downloadwireguard-apple-54e3333b725eb3a09fd5139b33450d2d9844704d.tar.xz
wireguard-apple-54e3333b725eb3a09fd5139b33450d2d9844704d.zip
WireGuardApp: add CrowdIn syncer and run it
Signed-off-by: Jason A. Donenfeld <Jason@zx2c4.com>
Diffstat (limited to 'sync-translations.sh')
-rwxr-xr-xsync-translations.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/sync-translations.sh b/sync-translations.sh
new file mode 100755
index 0000000..b2d72eb
--- /dev/null
+++ b/sync-translations.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -ex
+curl -Lo - https://crowdin.com/backend/download/project/wireguard.zip | bsdtar -C Sources/WireGuardApp -x -f - --strip-components 3 wireguard-apple
+find Sources/WireGuardApp/*.lproj -type f -empty -delete
+find Sources/WireGuardApp/*.lproj -type d -empty -delete
+git add Sources/WireGuardApp/*.lproj